<script setup>
</script>


<script>
export default {

	data() {
		return {
			csrf: document.querySelector('meta[name="csrf-token"]').getAttribute('content'),
			email: localStorage.getItem('email') || '',
		}
	},

	methods: {
	},

	i18n: {
		messages: {
			en: {
				title: "Forgot Password",
				email: "Email",
				ok: "Send Email",
				check: "Please check email for your instruction!",
			},
			th: {
				title: "ลืมรหัสผ่าน",
				email: "อีเมล",
				ok: "ส่งอีเมล",
				check: "โปรดเช็คอีเมลสำหรับคำแนะนำต่อไป!",
			},
		},
	},
}
</script>


<template>
	<AppBox :title="$t('title')">
		<form id="form" method="post" action="/forgot">
			<input type="hidden" name="_token" :value="csrf" />

			<!-- email -->
			<label for="email">{{ $t('email') }}</label><br />
			<input id="email" name="email" type="email" :placeholder="$t('email')" required v-model="email" /><br />
			<br />

			<button type="submit">{{ $t('ok') }}</button>
		</form>
	</AppBox>
</template>


<style scoped>

</style>
